KDE 4.3 PyKDE API Reference

- KDE's Python API

# Marble Namespace Reference

`from PyKDE4.marble.Marble import *`

## Detailed Description

## Class Index

A | GeoDataLatLonBox (Marble) | MapThemeManager (Marble)
AbstractDataPlugin (Marble) | GeoDataLinearRing (Marble) | MarbleAboutDialog (Marble)
AbstractDataPluginItem (Marble) | GeoDataLinearRingPrivate (Marble) | MarbleControlBox (Marble)
AbstractDataPluginModel (Marble) | GeoDataLineString (Marble) | MarbleDataFacade (Marble)
AbstractFloatItem (Marble) | GeoDataLineStringPrivate (Marble) | MarbleDirs (Marble)
AbstractLayerInterface (Marble) | GeoDataLineStyle (Marble) | MarbleGlobal (Marble)
AbstractProjection (Marble) | GeoDataMultiGeometry (Marble) | MarbleGraphicsItem (Marble)
C | GeoDataMultiGeometryPrivate (Marble) | MarbleMap (Marble)
ClipPainter (Marble) | GeoDataObject (Marble) | MarbleModel (Marble)
G | GeoDataOuterBoundary (Marble) | MarbleNavigator (Marble)
GeoDataAccuracy (Marble) | GeoDataPlacemark (Marble) | MarbleWidget (Marble)
GeoDataColorStyle (Marble) | GeoDataPlacemarkPrivate (Marble) | P
GeoDataContainer (Marble) | GeoDataPoint (Marble) | Planet (Marble)
GeoDataContainerPrivate (Marble) | GeoDataPointPrivate (Marble) | PluginInterface (Marble)
GeoDataCoordinates (Marble) | GeoDataPolygon (Marble) | Q
GeoDataDocument (Marble) | GeoDataPolygonPrivate (Marble) | Quaternion (Marble)
GeoDataDocumentPrivate (Marble) | GeoDataPolyStyle (Marble) | R
GeoDataFeature (Marble) | GeoDataStyle (Marble) | RenderPlugin (Marble)
GeoDataFeaturePrivate (Marble) | GeoDataStyleMap (Marble) | RenderPluginInterface (Marble)
GeoDataFolder (Marble) | GeoDataStyleSelector (Marble) | S
GeoDataGeometry (Marble) | GeoDocument (Marble) | ScreenGraphicsItem (Marble)
GeoDataGeometryPrivate (Marble) | GeoGraphicsItem (Marble) | SunLocator (Marble)
GeoDataHotSpot (Marble) | GeoNode (Marble) | T
GeoDataIconStyle (Marble) | GeoPainter (Marble) | TileCreator (Marble)
GeoDataInnerBoundary (Marble) | L | V
GeoDataLabelStyle (Marble) | LatLonEdit (Marble) | ViewParams (Marble)
GeoDataLatLonAltBox (Marble) | M | ViewportParams (Marble)

## Enumerations

AltitudeMode | { ClampToGround, RelativeToGround, Absolute }
AngleUnit | { DMSDegree, DecimalDegree, UTM }
Dimension | { Latitude, Longitude }
DistanceUnit | { Metric, Imperial }
DragLocation | { KeepAxisVertically, FollowMousePointer }
GraphicsSystem | { NativeGraphics, RasterGraphics, OpenGLGraphics }
LabelLocalization | { CustomAndNative, Custom, Native }
LabelPositionFlag | { NoLabel, LineStart, LineCenter, LineEnd, IgnoreXMargin, IgnoreYMargin }
MapQuality | { Outline, Low, Normal, High, Print }
OnStartup | { ShowHomeLocation, LastLocationVisited }
Pole | { AnyPole, NorthPole, SouthPole }
Projection | { Spherical, Equirectangular, Mercator }
ProxyType | { HttpProxy, Socks5Proxy }
TessellationFlag | { NoTessellation, Tessellate, RespectLatitudeCircle, FollowGround, RotationIndicatesFill, SkipLatLonNormalization }
ViewContext | { Still, Animation }
anonymous | { Q_X, Q_Y, Q_Z, Q_W }

## Functions

| Quaternion::set (float w, float x, float y, float z)
| Quaternion::set (float lon, float lat)

## Enumeration Documentation

AltitudeMode

Show last location visited on quit

Enumerator:

  ClampToGround |
  RelativeToGround |
  Absolute |

AngleUnit

This enum is used to choose the unit chosen to measure angles.

Enumerator:

  DMSDegree |
  DecimalDegree |
  UTM |

Dimension

This enum is used to choose the dimension.

Enumerator:

  Latitude |
  Longitude |

DistanceUnit

This enum is used to choose the unit chosen to measure distances.

Enumerator:

  Metric |
  Imperial |

DragLocation

This enum is used to choose how the globe behaves while dragging.

Enumerator:

  KeepAxisVertically |
  FollowMousePointer |

GraphicsSystem

This enum is used to choose which graphics system Qt is using.

Enumerator:

  NativeGraphics |
  RasterGraphics |
  OpenGLGraphics |

LabelLocalization

This enum is used to choose the localization of the labels.

Enumerator:

  CustomAndNative |
  Custom |
  Native |

LabelPositionFlag

This enum is used to choose the localization of the labels.

Enumerator:

  NoLabel = 0x0 |
  LineStart = 0x1 |
  LineCenter = 0x2 |
  LineEnd = 0x4 |
  IgnoreXMargin = 0x8 |
  IgnoreYMargin = 0x10 |

MapQuality

This enum is used to choose the map quality shown in the view.

Enumerator:

  Outline |
  Low |
  Normal |
  High |
  Print |

OnStartup

This enum is used to choose how the globe behaves while dragging.

Enumerator:

  ShowHomeLocation |
  LastLocationVisited |

Pole

Altitude is given relative to the sealevel

Enumerator:

  AnyPole |
  NorthPole |
  SouthPole |

Projection

This enum is used to choose the projection shown in the view.

Enumerator:

  Spherical |
  Equirectangular |
  Mercator |

ProxyType

This enum is used to specify the proxy that is used.

Enumerator:

  HttpProxy = 0x0 |
  Socks5Proxy = 0x1 |

TessellationFlag

Enumerator:

  NoTessellation = 0x0 |
  Tessellate = 0x1 |
  RespectLatitudeCircle = 0x2 |
  FollowGround = 0x4 |
  RotationIndicatesFill = 0x8 |
  SkipLatLonNormalization = 0x10 |

ViewContext

This enum is used to choose context in which map quality gets used.

Enumerator:

  Still |
  Animation |

anonymous

Enumerator:

  Q_X = 0 |
  Q_Y = 1 |
  Q_Z = 2 |
  Q_W = 3 |

## Function Documentation

Quaternion::set | ( | float | w,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |  |

Quaternion::set | ( | float | lon,
|  | float | lat
| ) |  |  |